#ifndef CHOICEQDLG_H
#define CHOICEQDLG_H
#include <QDialog>

class QTableWidget;
class QE_Tournament;
/**
 * \brief     
 *
 *      .    [ .
 *  [    .
 */

class QE_ChoiceQuestDlg: public QDialog
{
	Q_OBJECT
	public:
		/**
		 * \brief Constructor
		 * \param aTourn -   
		 * \param aShowRems - true      
		 */
		QE_ChoiceQuestDlg(QWidget *parent, QE_Tournament &aTourn, bool aShowRems);
		/**
		 * \brief     [ 
		 */
		QVector<int> selectedQuests() const;
	protected:
		/**
		 * Resize event
		 */
		void resizeEvent(QResizeEvent *event);
	private slots:
		/**
		 * \brief slot    
		 */
		void slotOk();
	private:
		/**
		 * \brief   
		 * \param aTourn -  
		 */
		void fillTable(QE_Tournament &aTourn, bool aShowRems) const;

		QTableWidget *table; /*!<    */
}; /* class QE_ChoiceQuestDlg: public QDialog */
#endif //CHOICEQDLG_H
