#ifndef EDORDERWIDGET_H
#define EDORDERWIDGET_H

#include <QWidget>
#include <QList>

class QListWidget;
/**
 * \brief    
 *
 *        
 */
class QE_EdOrderWidget: public QWidget
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 * \params list -    
		 */
		QE_EdOrderWidget(const QList<int> &list, QWidget *parent = 0);
		/**
		 * \brief   
		 * \params list -   
		 */
		void getList(QList<int> *list) const;
		/**
		 * \brief     
		 * \returns true -  , false -  
		 */
		bool isOrderChanged() const;
	private slots:
		/**
		 * \brief    [
		 */
		void slotUp();
		/**
		 * \brief    
		 */
		void slotDown();
	private:
		QListWidget *liEdits;		/*!<   */
		bool		orderChanged;	/*!< true      */
}; /* class QE_EdOrderWidget: public QWidget */

inline
bool QE_EdOrderWidget::isOrderChanged() const
{
	return orderChanged;
} /* 		bool isOrderChanged() const */

#endif //EDORDERWIDGET_H
