#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QLineEdit>
#include <QLabel>
#include <QPushButton>

#include "finddlg.h"

/**
* \brief Constructor
*/
QE_FindDlg::QE_FindDlg(QWidget *aParent):
	QDialog(aParent)
{
	QVBoxLayout *topl = new QVBoxLayout(this);
	
	QHBoxLayout *hb = new QHBoxLayout;
	topl->addLayout(hb);
	QLabel *lb = new QLabel(tr("&Finding text:"), this);
	hb->addWidget(lb);
	edText = new QLineEdit(this);
	hb->addWidget(edText);
	lb->setBuddy(edText);

	cbCaseSen = new QCheckBox(tr("&Case Sensitive"), this);
	topl->addWidget(cbCaseSen);

	hb = new QHBoxLayout;
	topl->addLayout(hb);
	QPushButton *pb = new QPushButton(tr("Ok"), this);
	hb->addWidget(pb);
	pb->setDefault(true);
	connect(pb, SIGNAL(clicked(bool)), this, SLOT(accept()));
	pb = new QPushButton(tr("Cancel"), this);
	hb->addWidget(pb);
	connect(pb, SIGNAL(clicked(bool)), this, SLOT(reject()));
} /* QE_FindDlg::*aParent, bool *bCase) */
