#ifndef FINDDLG_H
#define FINDDLG_H

class QCheckBox;

#include <QDialog>
#include <QCheckBox>
#include <QLineEdit>

/**
 * \brief       
 */

class QE_FindDlg: public QDialog
{
	Q_OBJECT
	public:
		/**
		 * \brief Constructor
		 */
		QE_FindDlg(QWidget *aParent);
		/**
		 * \brief  ,   
		 */
		QString text();
		/**
		 * \brief  true,       
		 */
		bool isCaseSensitive();
	private:
		QLineEdit *edText;	/*!<    */
		QCheckBox *cbCaseSen;	/*!<    */
}; //QE_FindDlg

inline 
QString QE_FindDlg::text()
{
	return edText->text();
} /* QString QE_FindDlg::text() */
		
inline
bool QE_FindDlg::isCaseSensitive()
{
	return cbCaseSen->checkState() == Qt::Checked;
} /* bool QE_FindDlg::isCaseSensitive() */
#endif //FINDDLG_H
