#ifndef MAINWIN_H
#define MAINWIN_H

#include <QMainWindow>

class QLabel;
class QCloseEvent;

class QE_CentralWidget;

class MainWin: public QMainWindow
{
	Q_OBJECT
	public:
		/**
		 * constructor
		 */
		MainWin();
	signals:
		void signalNoPreview();
	private slots:
		/**
		 *     
		 */
		void slotCurQuestChanged(int aNumQuest, int aCountQuests);
	private slots:
		/**
		 *    About
		 */
		void slotAbout();
		/**
		 *    
		 */
		void slotExport(QAction*);
		/**
		 *     . 
		 */
		void slotNoPreview();
	protected:
		/**
		 * \brief   
		 */
		void closeEvent( QCloseEvent *e );
	private:
		/**
		 * \brief     
		 */
		void restoreWinPosition();
		/**
		 *     
		 */
		void createMenuToolbar();

		QE_CentralWidget *centralWidgt;	
		QLabel	*lbCurNum;		/*!<         */
		QLabel	*lbCountQuests;	/*!<         */
}; /* class MainWin: public QMainWindow */

#endif //MAINWIN_H
