#ifndef OPTDLG_H
#define OPTDLG_H

#include <QDialog>
#include <QList>

class QE_Options;
class QE_OptWidget;
class QE_EdOrderWidget;

/**
 * \brief  
 *
 *    :     
 *      Ok,   
 */
class QE_OptDlg: public QDialog
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 * \params aPtrOtp -      
		 * \params edOrder -   
		 */
		QE_OptDlg(QWidget *parent, QE_Options *aPtrOpt, QList<int> *aEdOrder);
	private slots:
		/**
		 * \brief slot Ok
		 *   
		 */
		void slotOk();
	private:
		QE_Options *ptrOpt;		/*!<     */
		QE_OptWidget *optWidget;/*!<     */
		QList<int>	*edOrder;	/*!<    */
		QE_EdOrderWidget *orderWidget;	/*!<      */
}; /* class QE_OptDlg: public QDialog */

#endif //OPTDLG_H
