#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QLabel>
#include <QTextEdit>

#include "qeedit.h"


/**
* \brief 
* \param a_label -  
* \param a_parent - widget-
*/
QE_Edit::QE_Edit(QWidget *a_parent, const QString &a_label):
	QWidget(a_parent)
{
	//  layout   
	// qe_edit2
	htopl = new QHBoxLayout(this);
	
	QVBoxLayout *topl = new QVBoxLayout;
	topl->setSpacing(0);
	topl->setMargin(1);
	htopl->addLayout(topl);
	
	QLabel *lb = new QLabel(a_label, this);
	lb->setAlignment(Qt::AlignCenter);
	lb->setFrameStyle(QFrame::Box | QFrame::Sunken);
	topl->addWidget(lb);
	edit = new QTextEdit(this);
	edit->setTabChangesFocus(true);
	//   72 
	edit->setLineWrapMode(QTextEdit::FixedColumnWidth);
	edit->setLineWrapColumnOrWidth(countLineChars);
	topl->addWidget(edit, 1);
	lb->setBuddy(edit);

	connect(edit, SIGNAL(textChanged()), this, SLOT(slotTextChanged()));
} /* QEEdit::*a_parent, QString a_label) */

/**
*    
*/
void
QE_Edit::slotTextChanged()
{
	emit textChanged();
} /* QE_Edit::slotTextChanged() */

