#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QLabel>
#include <QTextEdit>

#include "qeedit2.h"

/**
* \brief 
* \param a_label -  
* \param a_label2 -   
* \param a_parent - widget-
*/
QE_Edit2::QE_Edit2(QWidget *a_parent, const QString &a_label, const QString &a_label2):
	QE_Edit(a_parent, a_label)
{
	QVBoxLayout *topl = new QVBoxLayout;
	topl->setSpacing(0);
	topl->setMargin(1);
	htopl->addLayout(topl);
	
	QLabel *lb = new QLabel(a_label2, this);
	lb->setAlignment(Qt::AlignCenter);
	lb->setFrameStyle(QFrame::Box | QFrame::Sunken);
	topl->addWidget(lb);
	edit2 = new QTextEdit(this);
	edit2->setTabChangesFocus(true);
	//   72 
	edit2->setLineWrapMode(QTextEdit::FixedColumnWidth);
	edit2->setLineWrapColumnOrWidth(countLineChars);
	topl->addWidget(edit2, 1);
	lb->setBuddy(edit2);

	connect(edit2, SIGNAL(textChanged()), this, SLOT(slotTextChanged()));
} /* QE_Edit2::*a_parent, const QString &a_label, const QString &a_label2) */

QString QE_Edit2::text2()
{
	return edit2->toPlainText();
} /* QE_Edit2::text2() */
