#ifndef TODDLG_H
#define TODDLG_H

#include <QDialog>

class QTextEdit;
class QCheckBox;

/**
 * \brief  "Tip of the day"
 *
 * ,   
 */
class QE_TODDlg: public QDialog
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 * \params aParent - -
		 * \params aTipFile -    
		 */
		QE_TODDlg(QWidget *aParent, const QString &aTipFile, bool *aShowTip);
	private slots:
		/**
		 * \brief slotClose
		 *
		 *   .      
		 *  .
		 */
		void slotClose();
		/**
		 * \brief   next
		 */
		void slotNext();
	private:
		QString 	tipFile;	/*!<     */
		bool		*pShowTip;	/*!<      */
		QTextEdit	*edTip;		/*!<     */
		QCheckBox 	*cbShowTip;	/*!<  "  " */ 
}; /* class QE_TODDlg: public QDialog */

#endif //TODDLG_H
