#ifndef TOURNINFODLG_H
#define TOURNINFODLG_H

#include <QDialog>

class QLineEdit;
class QDateEdit;
class QSpinBox;
class QTableWidget;

class QE_TournInfoData;

/**
 *   
 */
class QE_TournInfoDialog: public QDialog
{
	Q_OBJECT
	public:
		/**
		 * 
		 * \param aTournInfo -   ,    
		 *  
		 */
		QE_TournInfoDialog(QE_TournInfoData *aTournInfo, QWidget *parent);
	private slots:
		/**
		 * Ok
		 */
		void slotOk();
		/**
		 *   Add   
		 */
		void slotAdd();
		/**
		 *  Del
		 */
		void slotDel();
	private:
		/**
		 * ,     .
		 *     .
		 */
		QE_TournInfoData *tournInfo;	
	
		QLineEdit *edTitle;
		QLineEdit *edDescr;
		QLineEdit *edEditors;
		//QLineEdit *edDate;
		QDateEdit *deDate;
		QSpinBox  *sbCQuests;
		QTableWidget *twEditors;
	
}; /* class QE_TournInfoDialog: public QDialog */

#endif //TOURNINFODLG_H
