#ifndef CAPDLG_H
#define CAPDLG_H

#include <QStringList>

#include "transworddlg.h"

class QLabel;

/**
 * \brief  
 *
 *   [   .
 *   ,   Accepted,  Rejected
 */
class QE_CapitalDlg: public QE_TransWordDlg
{
	Q_OBJECT
	public:
		/**
		 *
		 * \brief 
	 	 * 
	 	 * \params parent - -
	 	 * \params title -  
		 * \params words -  [ 
	 	 * \params edits - 
	 	 * \params cedits -  
	 	 * \params selColor -    
	 	 * \params numQuests -   ( 0 -     )
	 	 */
		QE_CapitalDlg(QE_CentralWidget *parent, const QString &title, const QStringList &aWords, 
				QTextEdit **edits, int cedits, const QColor &selColor, int numQuests = 0);
	private slots:
		/**
		 * \brief   
		 */
		void slotNo();
		/**
		 * \brief   Close
		 */
		void slotClose();
		/**
		 * \brief   Yes
		 */
		void slotYes();
	private:
		/**
		 * \brief [    ]
		 */
		void nextCap();
		
		QLabel *lbWord;	/*!<      */
		const  QStringList &words;
		int    retCode;	/*!<   */
}; /* class QE_CapitalDlg: public QE_TransWordDlg */

#endif //CAPDLG_H
