#ifndef LISTEDIT_H
#define LISTEDIT_H

#include <QStringList>
#include "qelineedit.h"

/**
 * \class QE_ListEdit
 * \brief   
 * 
 * - .       /
 *  .      
 */

class QE_ListEdit: public QE_LineEdit
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 * \param aLabel -   
		 * \param aButLabel -   
		 */
		QE_ListEdit(QWidget *aParent, const QString &aLabel, const QString &aButLabel);
		/**
		 * \brief    
		 *      
		 */
		void setList(const QStringList &aList);
		/**
		 * \brief   
		 */
		QStringList list();
	private slots:
		/**
		 * \brief    
		 */
		void slotEdit();
	private:
		QStringList mList;	/*!<   */
}; /* class QE_ListEdit: public QE_LineEdit */
#endif //LISTEDIT_H
