#ifndef LISTVIEWEDIT_H
#define LISTVIEWEDIT_H

#include <QString>
#include "listedit.h"

class QComboBox;

/**
 * \class QE_ListViewEdit
 * \brief      
 *
 *     [ 
 */

class QE_ListViewEdit: public QE_ListEdit
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 * \param aLabel - 
		 * \param aButLabel -   
		 */
		QE_ListViewEdit(QWidget *aParent, const QString &aLabel, const QString &aButLabel);
		/**
		 * \brief     
		 */
		void addVariants(const QSet<QString> &aStrings);
		/**
		 * \brief      .   
		 *   ,    [
		 */
		void addVariant(const QString &aString);
		/**
		 * \brief   
		 */
		QSet<QString> variants();
	private slots:
		/**
		 * \brief   
		 */
		void slotVariants(const QString &aVariant);
	private:
		QComboBox	*cbVariants;	/*!<     */
}; /* class QE_ListViewEdit: public QE_LineEdit */

#endif //LISTVIEWEDIT_H
