#ifndef OPTWIDGET_H
#define OPTWIDGET_H

#include <QWidget>

#include "options.h"

class QCheckBox;
class QLineEdit;
/**
 * \brief     
 */
class QE_OptWidget: public QWidget
{
	Q_OBJECT
	public:
		/**
		 * \brief .
		 * \params opt -   
		 */
		QE_OptWidget(const QE_Options &opt, QWidget *parent = 0);
		/**
		 * \brief    
		 * \params aPtrOpt -      
		 */
		void getOptions(QE_Options *aPtrOpt) const;
	private:
		QCheckBox *cbShowTip;		/*!<   */
		QCheckBox *cbOpenLast;		/*!<    */
		QLineEdit *edTournDir;		/*!<   */
		QCheckBox *cbJumpLast;		/*!< [    */
		QLineEdit *edAuthor;		/*!<   */
		QCheckBox *cbClearAuthEd;	/*!<     */
		QCheckBox *cbSetAuthEd;		/*!<        */
		QCheckBox *cbNoSpelling;	/*!<     */
		QCheckBox *cbSaveAuthors;	/*!<    */
		QCheckBox *cbPrintTurNewPage;	/*!<      */
		QCheckBox *cbNormalize;		/*!<    [ */
	private slots:
		/**
		 * \brief   
		 */
		void slotBrowse();
		/**
		 * \brief  /    
		 */
		void slotSetAuthChanged(int state);
		/**
		 * \brief  /      
		 */
		void slotClearAuthChanged(int state);
}; /* class QE_OptWidget: public Widget */

#endif //OPTWIDGET_H
