#ifndef QEDREADER_H
#define QEDREADER_H

#include <QXmlDefaultHandler>

#include <QString>

class QE_Tournament;
class QE_Quest;

/**
 *    xml-  (*.qed)
 */
class QE_QuestReader: public QXmlDefaultHandler
{
	public:
		/**
		 * 
		 * \param aTournament -    ,   
		 *  
		 */
		QE_QuestReader(QE_Tournament *aTournament);
		/**
		 *   
		 */
		bool startElement(const QString &namespaceURI, const QString &localName,
                      const QString &qName, const QXmlAttributes &attributes);
		/**
		 *   
		 */
	    bool endElement(const QString &namespaceURI, const QString &localName,
                    const QString &qName);
		/**
		 *  
		 */
    	bool characters(const QString &str);
		/**
		 *  
		 */
    	bool fatalError(const QXmlParseException &exception);
		/**
		 *      
		 */
    	QString errorString() const;
	private:
		enum { None, Tournament, Info, Quests };
		/**
		 *   
		 * None       -    
		 * Tournament -   
		 * Info       -    
		 * Quests     -  
		 */
		int  mode;					
		QString errorStr;			/*!<      */
		QE_Tournament *mTournament;	/*!<  */
		QE_Quest *questPtr;			/*!<     */
		QString currentText;		/*!<    */
}; /* class QE_QuestReader: public QXmlDefaultHandler */
#endif //QEDREADER_H
