#ifndef QELINEEDIT_H
#define QELINEEDIT_H

#include <QWidget>
#include <QTextEdit>
#include <QTextCursor>

class QHBoxLayout;

/**
 *    .     
 *    .
 */
class QE_LineEdit: public QWidget
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 * \param aLabel -  
		 * \param aParent - widget-
		 */
		QE_LineEdit(QWidget *aParent, const QString &aLabel);
		/**
		 *   
		 */
		QString text()	{ return edit->toPlainText(); }
		/**
		 *    
		 */
		void setText(const QString &aText) {	edit->setPlainText(aText); }
		/**
		 * \brief    
		 */
		QTextEdit* editor()
		{
			return edit;
		} /* 		QTextEdit* editor() */
		/**
		 * \brief    
		 */
		QTextCursor cursor()
		{
			return edit->textCursor();
		} /* 		QTextCursor cursor()  */

	signals:
		/**
		 *    
		 */
		void textChanged();
	protected slots:
		/**
		 *    
		 */
		void slotTextChanged();
	protected:
		QTextEdit *edit;	/*!<   */
		QHBoxLayout *topLayout;	/*<!   */
}; /* class QEEdit: public QWidget */



#endif //QELINEEDIT_H
