#include <QHBoxLayout>
#include <QLabel>

#include "qelineedit2.h"

/**
* \brief 
* \param aLabel -   
* \param aLabel2 -   
* \param aParent - widget-
*/

QE_LineEdit2::QE_LineEdit2(QWidget *aParent, const QString &aLabel, const QString &aLabel2):
	QE_LineEdit(aParent, aLabel)
{
	QLabel *lb = new QLabel(aLabel2, this);
	lb->setAlignment(Qt::AlignCenter);
	lb->setFrameStyle(QFrame::Box | QFrame::Sunken);
	topLayout->addWidget(lb);
	edit2 = new QTextEdit(this);
	edit2->setTabChangesFocus(true);
	edit2->setMaximumHeight( edit->maximumHeight());
	edit2->setLineWrapMode(QTextEdit::NoWrap);
	edit2->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
	
	topLayout->addWidget(edit2, 1);
	lb->setBuddy(edit2);

	connect(edit2, SIGNAL(textChanged()), this, SLOT(slotTextChanged()));
} /* QE_LineEdit2::*aParent, const QString &aLabel, const QString &aLabel2) */
