#ifndef SPELLDLG_H
#define SPELLDLG_H

//#ifdef Q_WS_WIN
//#include "aspell.h"
//#else
#include <aspell.h>
//#endif 

/**
* - -     :(
#if defined Q_WS_X11
#warning x11
#include <aspell.h>
#else
#warning win
#include "winclude/aspell.h"
#endif
**/
#include "transworddlg.h"

class QLineEdit;
class QListWidget;
class QLabel;
class QTextCodec;

/**
 * \brief    
 */
class QE_SpellDlg: public QE_TransWordDlg
{
	Q_OBJECT
	public:
		/**
		 * \brief 
		 *
	 	 * \params parent - -
	 	 * \params title -  
		 * \params words -  [ 
	 	 * \params edits - 
	 	 * \params cedits -  
	 	 * \params selColor -    
	 	 * \params numQuests -   ( 0 -     )
	 	 */
		QE_SpellDlg(QE_CentralWidget *parent, const QString &title, AspellSpeller *sp, 
				QTextEdit **edits, int cedits, const QColor &selColor, int numQuests = 0);
	private slots:
		/**
		 * \brief   .
		 */
		void slotChange();
		/**
		 * \brief   [ [ .
		 */
		void slotChangeAll();
		/**
		 * \brief   .
		 */
		void slotSkip();
		/**
		 * \brief   [ [  .
		 */
		void slotSkipAll();
		/**
		 * \brief   
		 */
		void slotClose();
		/**
		 * \brief      
		 */
		void slotVariantChanged();
	private:
		/**
		 * \brief    
		 */
		void nextError();
		AspellSpeller	*speller;
		QLabel        	*lbErrWord;
		QListWidget	 	*liVariants;
		QLineEdit		*edReplace;

		QStringList     skipedWords;	/*!<  ,     */
		QStringList		allReplWords;	/*!<  ,     */
		QStringList		rigthWords;		/*!<    allReplWords */
		int			    retCode;		/*!<   */
		QTextCodec		*codec;			/*!<      8 */
}; /* class QE_SpellDlg: public QE_TransWordDlg */

#endif //SPELLDLG_H
